import * as react_jsx_runtime from 'react/jsx-runtime';

type ActionPayload<T = string> = T;
interface Action<T = string> {
    label: string;
    icon?: React.ReactNode;
    action?: (payload: ActionPayload<T>) => void;
}
interface TextHighlightPopupProps<T = string> {
    children: React.ReactNode;
    actions: Action<T>[];
    getActionPayload?: (selectedText: string) => ActionPayload<T>;
}

declare function TextHighlightPopup<T = string>({ children, actions, getActionPayload }: TextHighlightPopupProps<T>): react_jsx_runtime.JSX.Element;

export { TextHighlightPopup as default };
