import React from 'react'
import Highlight from '../index'
import { highlightActions } from './utils/actions'

const App = () => {

    return (
        <>
            <Highlight actions={highlightActions}>
                <div className="w-screen h-screen flex flex-col items-center justify-center">
                    <div className="w-full max-w-lg">
                        <h1 className="text-3xl font-bold">Highlight Pop</h1>
                        <p className="text-lg">
                            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed euismod, nisl eget
                            consectetur tincidunt, purus nisi aliquet nisl, eget aliquam nisi nisl eu
                            magna. Phasellus eget elit eget nunc efficitur aliquam. Sed euismod, nisl eget
                            consectetur tincidunt, purus nisi aliquet nisl, eget aliquam nisi nisl eu
                            magna. Phasellus eget elit eget nunc efficitur aliquam. Sed euismod, nisl eget
                            consectetur tincidunt, purus nisi aliquet nisl, eget aliquam nisi nisl eu magna.
                            Phasellus eget elit eget nunc efficitur aliquam. Sed euismod, nisl eget
                            consectetur tincidunt, purus nisi aliquet nisl, eget aliquam nisi nisl eu magna.
                            Phasellus eget elit eget nunc efficitur aliquam. Sed euismod, nisl eget
                            consectetur tincidunt, purus nisi aliquet nisl, eget aliquam nisi nisl eu magna.
                            Phasellus eget elit eget nunc efficitur aliquam.
                        </p>
                    </div>
                </div>
                <input className="" type="input" />
            </Highlight>

        </>
    )
}

export default App