export type ActionPayload<T = string> = T;

export interface Action<T = string> {
  label: string;
  icon?: React.ReactNode;
  action?: (payload: ActionPayload<T>) => void;
}

export interface TextHighlightPopupProps<T = string> {
  children: React.ReactNode;
  actions: Action<T>[];
  getActionPayload?: (selectedText: string) => ActionPayload<T>;
}

export type Position = {
  top: number;
  left: number;
};
