/**
 * Call useEffect once. Compatible with React 18
 * Implementation based on: https://usehooks-ts.com/react-hook/use-effect-once
 */
import { type EffectCallback, useEffect } from 'react'

export const useEffectOnce = (effect: EffectCallback) => {
    useEffect(effect, [])
}
